package jp.hasc.hasctool.core.runtime.filter.file;

import jp.hasc.hasctool.core.runtime.filter.AbstractFilter;

/**
 * N番目の要素をとってくる
 * @author hiro
 */

public class GetNthElementFilter extends AbstractFilter{

	//識別対象を指定
	int index_;
	
	public void setIndex(int index) {
		index_ = index;
	}

	public void processMessage(Object message) throws InterruptedException {
		if (message instanceof String) {

			String line = (String)message;
			String[] val = line.split(",");
			outputMessage(val[index_]);
			
		} else {
			// その他のメッセージはそのまま出力
			outputMessage(message);
		}
	}
}
